       program read_pos_of_sun
C
       implicit none
C
       integer*4 TIME(2)	! Time: YYYYDOY, and millisecond of day
       integer*4 ISTATUS
       integer*4 YEAR, N
       real*8 TILT_ANGLE, DVECT(3)


       N = 2020

       DO 10 YEAR = 1996, N
          TIME(1) = YEAR * 1000 + 1
          TIME(2) = 0
          call ICSS_TILT_ANGLE(TIME, TILT_ANGLE, DVECT, ISTATUS)
          IF (ISTATUS .NE. 0) GOTO 992
          print *, TIME(1), TILT_ANGLE, DVECT(1), DVECT(2), DVECT(3)
10     CONTINUE
       

992    CONTINUE
       IF (ISTATUS .NE. 0) THEN
           print *, 'Oohhh No!'
       ENDIF
C
       stop
       end






